Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Eric B Munson <[email-masked]>
Date: Mon, 20 Jul 2015 10:57:40 -0400

On Fri, 17 Jul 2015, Stephen Rothwell wrote:

> Hi Eric,
> 
> On Thu, 16 Jul 2015 10:36:59 -0400 Eric B Munson <[email-masked]> wrote:
> >
> > > From: Stephen Rothwell <[email-masked]> Date: Thu, 16 Jul
> > > 2015 14:58:53 +1000 Subject: [PATCH] mm: mlock: fix for add new
> > > mlock, munlock, and munlockall system calls
> > > 
> > > Signed-off-by: Stephen Rothwell <[email-masked]> --- 
> > > arch/arm/include/asm/unistd.h | 2 +- arch/arm/kernel/calls.S
> > > | 2 +- 2 files changed, 2 insertions(+), 2 deletions(-)
> > > 
> > > diff --git a/arch/arm/include/asm/unistd.h
> > > b/arch/arm/include/asm/unistd.h index 32640c431a08..2516c09d65d7
> > > 100644 --- a/arch/arm/include/asm/unistd.h +++
> > > b/arch/arm/include/asm/unistd.h @@ -19,7 +19,7 @@ * This may need
> > > to be greater than __NR_last_syscall+1 in order to * account for
> > > the padding in the syscall table */ -#define __NR_syscalls  (388) 
> > > +#define __NR_syscalls  (392)
> > 
> > IIUC, this should be 391.
> 
> Read the comment above - it has to be 392 for padding.  (I actually
> tried 391 and it fails to build.)

I saw the comment but it wasn't clear to me what that padding value
should be (does __NR_syscalls need to be even, %4, %8, etc).  Is there
somewhere that I missed that describes what the padding needs to be and
when it should be present?

> 
> BTW, what mail client are you using - it really made a mess :-(
> 

That was thunderbird, which has started acting up on me, not sure why it
mangled everything.  Back to mutt now that I have my laptop back.
Hopefully this one is in better shape.